function p4get-depotPrefs
{param($depotName)
	if (!$depotName)
	{
		if ($env:p4server)
		{
			$depotName = $env:p4server
		}
		else
		{
			write-error "No depot specified"
			break
		}
	}
	try
	{
		$global:depotxml = [xml](gc $env:depotsxml)
	}
	catch
	{
		write-error ("Could not locate depot.xml file. System environment variable `'depotsxml`' is currently set to `'" + $env:depotsxml + "`'")
	}
	if ($depotxml)
	{
		$thisDepot = $depotxml.perforce.depot | ?{$_.name -eq $depotName}
	}
	else
	{
		write-error ("Depot prefs definition does not exist.")
		break
	}
	$thisdepot
}